using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.BusinessLogicsContracts
{
    public interface IVacancyLogic
    {
        List<VacancyViewModel>? ReadList(VacancySearchModel? model);
        VacancyViewModel? ReadElement(VacancySearchModel model);
        bool Create(VacancyBindingModel model);
        bool Update(VacancyBindingModel model);
        bool Delete(VacancyBindingModel model);
    }
}
